//**************************************************************************//
//* FRIDA: flexible rapid interactive data analysis                        *//
//* reg.cpp: registers                                                     *//
//* (C) Joachim Wuttke 1990-, v2(C++) 2001-                                *//
//* http://apps.jcns.fz-juelich.de/frida                                   *//
//**************************************************************************//

#include <string>

#include "mystd.h"
#include "reg.h"

//***************************************************************************//
//* class CRegRef                                                           *//
//***************************************************************************//

//! Constructor. Set from expression string.

CRegRef::CRegRef( const string s )
{
    if( s=="" )
        throw "BUG: register reference with empty label";
    if( s[0]!='$' )
        throw "BUG: register reference with invalid label " + s;
    /*   if( s.size()<2 )
        throw "'$' must be followed by register type";
    */
    if( s!="$" )
        throw "at present, the only register is '$'";
}

double NReg::lastresult;
